package org.jutils.runtime;

import java.io.*;
/**
 * Provides some useful platform commands.
 * These are provided to surround memory problems when handling huge files.
 * @author: M.Winkler, doubleSlash GmbH
 */
public class CmdHelper {



    /**
     * Copies a file from one location to another.
     * For now, directories et al are handled platform dependend; but you are welcome to adapt this behavior.
     * @author Michael Winkler, doubleSlash GmbH
     *
     * @return java.lang.Process
     * @param source java.io.File
     * @param dest java.io.File
     * @exception java.io.IOException The exception description.
     */
    public static Process copyFile(File source, File dest) throws IOException {
        Process returnValue = null;
        String copyCommand = "xcopy " + source.getAbsolutePath() + " " + dest.getAbsolutePath();
        returnValue = Runtime.getRuntime().exec(copyCommand);
        return returnValue;
    }



    /**
     * Tests the methods provided by this class.
     * @author Michael Winkler, doubleSlash GmbH
     *
     * @param args java.lang.String[]
     */
    public static void main(String[] args) throws IOException {
        File source = new File("C:/autoexec.bat");
        File dest = new File("C:/temp/autoexec.bat");
        Process p = copyFile(source, dest);
    }
}

